
#include <windows.h>

HANDLE hConsole;
CONSOLE_SCREEN_BUFFER_INFO pScreen;
BOOL bColorsEnabled;

void initConsole()
{
	hConsole = GetStdHandle(STD_OUTPUT_HANDLE);
	GetConsoleScreenBufferInfo(hConsole, &pScreen);
	bColorsEnabled = TRUE;
}

void enableColors(BOOL bEnable)
{
	bColorsEnabled = bEnable;
}

void setColor(DWORD color)
{
	if(bColorsEnabled)
	{
		WORD wColor = (pScreen.wAttributes & 0xF0) + (color & 0x0F);
		SetConsoleTextAttribute(hConsole, wColor);     
	}
}

void restoreColor()
{
	if(bColorsEnabled)
	{
		SetConsoleTextAttribute(hConsole, pScreen.wAttributes);
	}	
}
